#!/bin/bash
#-----------------------------------------------------------------------------
echo -e "\n$0" called with "$@"

declare OWN_DIR=$(dirname "$0")
declare CONFIG_SCRIPT_DIR=$(dirname "$1")
declare -x PLIST_VAR_PREFIX="COPYPATH_"
# variables in config that content should be preserved
declare -x -a VAR_NAMES=(\
    "QUOTING_CHAR"\
    "QUOTING_BY_DEFAULT"\
    "QUOTING_MODIFIER"\
    "LOG_LEVEL"\
    "USE_SYSLOG"\
    "CONFIRM_SUCCESS"\
    "CONFIRM_ONLY_FAILURE"\
)

source "${OWN_DIR}/helperscripts.sh"

update_config "$@"

# include the updated config via service helpers (and therefore update/create the defaults if missing)
source "${OWN_DIR}/../Scripts/"copypathhelpers
#-----------------------------------------------------------------------------
